Loading...
Searching...
No Matches
Derivative.h File Reference

Automatic differentiation. More...

`#include "Expr.h"`
`#include "Func.h"`
`#include <map>`
`#include <string>`
`#include <vector>`

Go to the source code of this file.

## Classes

class | Halide::Derivative
| Helper structure storing the adjoints Func. More...

## Namespaces

namespace | Halide
| This file defines the class FunctionDAG, which is our representation of a Halide pipeline, and contains methods to using Halide's bounds tools to query properties of it.

## Functions

Derivative | Halide::propagate_adjoints (const Func &output, const Func &adjoint, const Region &output_bounds)
| Given a Func and a corresponding adjoint, (back)propagate the adjoint to all dependent Funcs, buffers, and parameters.
Derivative | Halide::propagate_adjoints (const Func &output, const Buffer< float > &adjoint)
| Given a Func and a corresponding adjoint buffer, (back)propagate the adjoint to all dependent Funcs, buffers, and parameters.
Derivative | Halide::propagate_adjoints (const Func &output)
| Given a scalar Func with size 1, (back)propagate the gradient to all dependent Funcs, buffers, and parameters.

## Detailed Description

Automatic differentiation.

Definition in file Derivative.h.